import { RenderCellContext } from '@oinone/kunlun-vue-ui';
import { BaseTableColumnWidget } from '../../basic';
export declare class TableCheckboxColumnWidget extends BaseTableColumnWidget {
    get columnType(): string;
    get width(): string | number;
    get minWidth(): string | number;
    className(context: RenderCellContext): string;
    headerClassName(context: RenderCellContext): string;
    get align(): string;
    get fixed(): string | boolean;
}
